Bug 647769 - upgrade-cobbler.sh: find: *: No such file or directory
upgrade-cobbler.sh: find: *: No such file or directory
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
540
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-10-29 07:44 EDT by Miroslav Suchý
Modified: 2010-12-13 09:31 EST (History)
2 users (show)

See Also:
Fixed In Version: rhn-upgrade-5.4.0.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-13 09:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-10-29 07:44:30 EDT
Description of problem:
During upgrade of sputnik-prod I get:
# /etc/sysconfig/rhn/satellite-upgrade/upgrade-cobbler.sh
find: *: No such file or directory

It happen in such situation:
[root@sputnik-prod satellite-upgrade]# ls /var/lib/rhn/kickstarts/snippets/*/
[root@sputnik-prod satellite-upgrade]# ls /var/lib/rhn/kickstarts/snippets/*
/var/lib/rhn/kickstarts/snippets/keep_system_id      /var/lib/rhn/kickstarts/snippets/post_reactivation_key
/var/lib/rhn/kickstarts/snippets/post_delete_system  /var/lib/rhn/kickstarts/snippets/redhat_register

/var/lib/rhn/kickstarts/snippets/1:


Version-Release number of selected component (if applicable):
sat540

How reproducible:
done once

Steps to Reproduce:
1. have no snippets in cobbler
2. upgrade from 530 to 540
  
Actual results:
find: *: No such file or directory

Expected results:
ignore empty directory without warning
Comment 1 Miroslav Suchý 2010-11-03 18:35:08 EDT
commited to satellite.git as commit 40bdefecd2dfe5df55f4d8adb29deeb05e6e88f9
Comment 2 Miroslav Suchý 2010-11-03 18:41:17 EDT
cherrypicked to SATELLITE-5.4 branch as commit 21b965b1af1ba7c38ab5a5c19aa6b981635345f8
Comment 4 Petr Sklenar 2010-12-08 04:01:16 EST
sat530, before upgrade
no snippet:

[root@ibm-hs21-04 ~]# ls /var/lib/rhn/kickstarts/snippets
1
[root@ibm-hs21-04 ~]# ls /var/lib/rhn/kickstarts/snippets/1/
[root@ibm-hs21-04 ~]# ls /var/lib/rhn/kickstarts/snippets/*/*
ls: /var/lib/rhn/kickstarts/snippets/*/*: No such file or directory
--
upgrade from sat530 > sat540 works well without error in find command.
Comment 5 errata-xmlrpc 2010-12-13 09:31:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0973.html

Note You need to log in before you can comment on or make changes to this bug.